解决:Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile

bug 专栏收录该内容
6 篇文章 0 订阅

在IDEA中使用Maven插件中的install命令,发现报错:

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project maven02: Fatal error compiling

回到pom.xml的文件中查看:

<properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>1.11</maven.compiler.source>
    <maven.compiler.target>1.11</maven.compiler.target>
  </properties>

上网搜了各种解决方案都不行。。后来发现是java的版本号不对。Java8到java13的版本号分别为1.8,1.9,1.10,10,11,12,13。

修改后的pom.xml文件

<properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>11</maven.compiler.source>
    <maven.compiler.target>11</maven.compiler.target>
  </properties>

编译成功!
在这里插入图片描述

  • 15
    点赞
  • 4
    评论
  • 15
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 深蓝海洋 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值